const bilder = [
  {
    dateiname: "robot.png",
    beschreibung: "Frida Kahlo painting of a robot waving goodbye",
  },
  {
    dateiname: "meadow.png",
    beschreibung:
      "A photo of a wide green meadow and a clear blue sky",
  },
  {
    dateiname: "elephant.png",
    beschreibung: "A pink elephant in a small room",
  },
  {
    dateiname: "fhdortmund.png",
    beschreibung: "An expressive oil painting of FH Dortmund in summer",
  },
];

function holeStartBild(num){
  bilder[0].num = 0;
  return bilder[0];
}

function vor(current){
  var next = current + 1;
  if(next >= bilder.length){
      next = 0;
  }
  bilder[next].num = next;
  return bilder[next];
}

function zurueck(current){
  var prev = current - 1;
  if(prev < 0){
      prev = bilder.length - 1;
  }
  bilder[prev].num = prev;
  return bilder[prev];
}
// Hier den Code ergaenzen!
module.exports.bilder = bilder;
module.exports.holeStartBild = holeStartBild;
module.exports.vor = vor;
module.exports.zurueck = zurueck;